<?php

namespace AustraliaPost\Extensions\Business\Endpoints;


use AustraliaPost\Extensions\Business\API\Business;

class Get_Labels_Url_Endpoint extends Abstract_Endpoint {

	public function callback( $data )
	{

		if (!isset($data['label_request_id'])) {
			$this->abort('label request id must exists');
		}

		$label_response = (new Business())->print_label($data['label_request_id']);

		if (!isset($label_response['labels']) || count($label_response['labels']) < 1) {
			$this->abort('something went wrong');
		}

		return ['url' => $label_response['labels'][0]['url']];
	}

	public function action() {
		return 'get_label_url';
	}
}
